Skip Navigation

This thread is resolved. Here is a description of the problem and solution.

Problem: Le client reçoit 500 erreurs en essayant de mise à niveau de 2.6.4 à 3.3.8.

Solution: Il était nécessaire d'exécuter une mise à niveau progressive comme suit:   - 3.1.6   - 3.1.9.7   - 3.2.7   - 3.3.8

Relevant Documentation: aucun

Il s'agit du forum d'assistance technique de WPML, le plug-in multilingue pour WordPress.

Il est accessible à tous, toutefois seuls les clients de WPML peuvent y publier leurs messages. L'équipe du WPML répond sur le forum 6 jours par semaine, 22 heures par jour.

This topic contains 20 réponses, has 3 participants.

Last updated by Michael il y a 4 years et 3 months.

Assigned support staff: Yvette.

Auteur Messages
mai 30, 2016 à 10:56 #892814

Yvette
Supporter

Languages: Anglais (English ) Espagnol (Español )

Timezone: Europe/Madrid (GMT+02:00)

Ok - il avait un problème avec la table icl_languages. Je pense que tout devrait être ok maintenant - pouvez-vous s'il vous plaît vérifier?

Je vais maintenant prendre aussi l'instantané.

mai 30, 2016 à 11:15 #892829

Michael

Oui c'est ok chez moi aussi. Les drapeaux s'affichent. Merci.

mai 30, 2016 à 6:25 #893180

Yvette
Supporter

Languages: Anglais (English ) Espagnol (Español )

Timezone: Europe/Madrid (GMT+02:00)

Bonjour.

J'ai de bonnes nouvelles.

J'ai enfin pu mettre à niveau entièrement ma copie locale de votre site en faisant les étapes suivantes:

1. désactiver temporairement tous les plugins
2. modifier temporairement votre thème actif à Twenty Fourteen
3. mise à niveau manuelle vers la version 3.1.9.7
4. mise à niveau manuelle à la version 3.2.7
5. mise à niveau manuelle à la version 3.3.8
6. Restaurez votre thème actif
7. Réactiver tous les plugins

Voulez-vous essayer cette séquence d'étapes sur votre système? Préféreriez-vous que je le fais?

mai 30, 2016 à 6:42 #893189

Michael

Bonsoir,

Avez-vous retrouvé une copie exacte du site sans avoir à le reparamétrer ? Cela m'effraie un peu de désactiver le thème. J'ai peur que cela efface les options.

mai 30, 2016 à 7:11 #893205

Yvette
Supporter

Languages: Anglais (English ) Espagnol (Español )

Timezone: Europe/Madrid (GMT+02:00)

Bonjour

Oui, j'ai votre site exact mis à jour et je suis en mesure de naviguer les deux langues. Peut-être que vous n'êtes pas obligé de changer le thème, je l'ai fait pour éliminer toute sorte de conflit que ce soit.

Dans ce cas, vous pouvez simplement deactiavet tempoarirly les plugins, puis faire les mises à jour manuelles.

Voici un screencast sur la façon de faire la mise à jour manuellement
hidden link

mai 30, 2016 à 7:42 #893220

Michael

J'ai réussi à installer la dernière version comme vous me l'avez proposé, en désactivant les plugins.

Votre aide a été précieuse. Un grand merci.